const system: AuthRoute.Route = {
  name: 'system',
  path: '/system',
  component: 'basic',
  children: [
    {
      name: 'system_role',
      path: '/system/role',
      component: 'self',
      meta: {
        title: '角色管理',
        i18nTitle: 'message.routes.system.role',
        permissions: ['admin', 'teacher'],
        requiresAuth: true,
        icon: 'carbon:user-role'
      }
    },
    {
      name: 'system_user',
      path: '/system/user',
      component: 'self',
      meta: {
        title: '用户管理',
        i18nTitle: 'message.routes.system.user',
        permissions: ['admin', 'teacher'],
        requiresAuth: true,
        icon: 'ic:round-manage-accounts'
      }
    },
    {
      name: 'system_student',
      path: '/system/student',
      component: 'self',
      meta: {
        title: '学员管理',
        i18nTitle: 'message.routes.system.student',
        permissions: ['admin', 'teacher'],
        requiresAuth: true,
        localIcon: 'academic-cap'
      }
    },
    {
      name: 'system_category',
      path: '/system/category',
      component: 'self',
      meta: {
        title: '课程分类',
        i18nTitle: 'message.routes.system.sort',
        permissions: ['admin', 'teacher'],
        requiresAuth: true,
        icon: 'material-symbols:sort'
      }
    },
    {
      name: 'system_subject',
      path: '/system/subject',
      component: 'self',
      meta: {
        title: '系列分类',
        i18nTitle: 'message.routes.system.route',
        permissions: ['admin', 'teacher'],
        requiresAuth: true,
        icon: 'material-symbols:route'
      }
    }
  ],
  meta: {
    title: '系统管理',
    i18nTitle: 'message.routes.system._value',
    permissions: ['admin', 'teacher'],
    icon: 'carbon:cloud-service-management',
    order: 9
  }
};

export default system;
