import { request } from '@/service/request';

interface GroupStudentsPojo {
  studentId: number;
  studentName: string;
  avatar: string;
  studentNumber: string;
  managerName: string;
  phone: string;
  email: string;
  gender: string;
  enrollmentDate: string;
  morning?: string;
  afternoon?: string;
  checkinDate: Date;
  admissionsName: string;
  scheduleId?: number;
  category?: string;
  subject?: string;
  teacher?: string;
  teacherPhone?: string;
  groupId?: string;
  groupName?: string;
}

export function getStudentByKeyword(keyword: string): Promise<Service.RequestResult<GroupStudentsPojo[]>> {
  return request.get(`/student/getStudentByKeyword?keyword=${keyword}`);
}
